2

I am trying to use Drush to run a CiviCRM command (for example, civicrm-sql-dump and although CiviCRM is enabled and running fine, I get the following type of error:

> drush civicrm-sql-dump > ~/dumpfile.sql

Command civicrm-sql-dump needs the following module(s) enabled to run: civicrm.
The drush command 'civicrm-sql-dump' could not be executed. 

What is causing the problem?

6

For some reason the Drush cache is not up to date (for example, if you've recently upgraded CiviCRM). If you clear the Drush cache as follows, the command should work as expected:

> drush cc drush

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.